Show / Hide Table of Contents

# Struct ImGuiStylePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiStylePtr

### Constructors

| Improve this Doc View Source

#### ImGuiStylePtr(ImGuiStyle*)

##### Declaration

    public ImGuiStylePtr(ImGuiStyle*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | nativePtr |

| Improve this Doc View Source

#### ImGuiStylePtr(IntPtr)

##### Declaration

    public ImGuiStylePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Alpha

##### Declaration

    public readonly ref float Alpha { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### AntiAliasedFill

##### Declaration

    public readonly ref bool AntiAliasedFill { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### AntiAliasedLines

##### Declaration

    public readonly ref bool AntiAliasedLines { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### AntiAliasedLinesUseTex

##### Declaration

    public readonly ref bool AntiAliasedLinesUseTex { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ButtonTextAlign

##### Declaration

    public readonly ref Vector2 ButtonTextAlign { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### CellPadding

##### Declaration

    public readonly ref Vector2 CellPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### ChildBorderSize

##### Declaration

    public readonly ref float ChildBorderSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ChildRounding

##### Declaration

    public readonly ref float ChildRounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### CircleTessellationMaxError

##### Declaration

    public readonly ref float CircleTessellationMaxError { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ColorButtonPosition

##### Declaration

    public readonly ref ImGuiDir ColorButtonPosition { get; }

##### Property Value

Type | Description
--- | ---
ImGuiDir |

| Improve this Doc View Source

#### Colors

##### Declaration

    public readonly RangeAccessor<Vector4> Colors { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Numerics.Vector4> |

| Improve this Doc View Source

#### ColumnsMinSpacing

##### Declaration

    public readonly ref float ColumnsMinSpacing { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### CurveTessellationTol

##### Declaration

    public readonly ref float CurveTessellationTol { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DisplaySafeAreaPadding

##### Declaration

    public readonly ref Vector2 DisplaySafeAreaPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DisplayWindowPadding

##### Declaration

    public readonly ref Vector2 DisplayWindowPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FrameBorderSize

##### Declaration

    public readonly ref float FrameBorderSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FramePadding

##### Declaration

    public readonly ref Vector2 FramePadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FrameRounding

##### Declaration

    public readonly ref float FrameRounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GrabMinSize

##### Declaration

    public readonly ref float GrabMinSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GrabRounding

##### Declaration

    public readonly ref float GrabRounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### IndentSpacing

##### Declaration

    public readonly ref float IndentSpacing { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ItemInnerSpacing

##### Declaration

    public readonly ref Vector2 ItemInnerSpacing { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### ItemSpacing

##### Declaration

    public readonly ref Vector2 ItemSpacing { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LogSliderDeadzone

##### Declaration

    public readonly ref float LogSliderDeadzone { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseCursorScale

##### Declaration

    public readonly ref float MouseCursorScale { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiStyle*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiStyle* |

| Improve this Doc View Source

#### PopupBorderSize

##### Declaration

    public readonly ref float PopupBorderSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### PopupRounding

##### Declaration

    public readonly ref float PopupRounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScrollbarRounding

##### Declaration

    public readonly ref float ScrollbarRounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScrollbarSize

##### Declaration

    public readonly ref float ScrollbarSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SelectableTextAlign

##### Declaration

    public readonly ref Vector2 SelectableTextAlign { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TabBorderSize

##### Declaration

    public readonly ref float TabBorderSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TabMinWidthForCloseButton

##### Declaration

    public readonly ref float TabMinWidthForCloseButton { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TabRounding

##### Declaration

    public readonly ref float TabRounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TouchExtraPadding

##### Declaration

    public readonly ref Vector2 TouchExtraPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowBorderSize

##### Declaration

    public readonly ref float WindowBorderSize { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WindowMenuButtonPosition

##### Declaration

    public readonly ref ImGuiDir WindowMenuButtonPosition { get; }

##### Property Value

Type | Description
--- | ---
ImGuiDir |

| Improve this Doc View Source

#### WindowMinSize

##### Declaration

    public readonly ref Vector2 WindowMinSize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowPadding

##### Declaration

    public readonly ref Vector2 WindowPadding { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowRounding

##### Declaration

    public readonly ref float WindowRounding { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WindowTitleAlign

##### Declaration

    public readonly ref Vector2 WindowTitleAlign { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### ScaleAllSizes(Single)

##### Declaration

    public void ScaleAllSizes(float scale_factor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | scale_factor |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiStyle* to ImGuiStylePtr)

##### Declaration

    public static implicit operator ImGuiStylePtr(ImGuiStyle*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStyle* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiStylePtr |

| Improve this Doc View Source

#### Implicit(ImGuiStylePtr to ImGuiStyle*)

##### Declaration

    public static implicit operator ImGuiStyle*(ImGuiStylePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStylePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiStyle* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiStylePtr)

##### Declaration

    public static implicit operator ImGuiStylePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiStylePtr |